com.amarula.barcodescanner.sdk

## Class BarcodeScannerSymbologyTable.FlagsHsm

- java.lang.Object
- - com.amarula.barcodescanner.sdk.BarcodeScannerSymbologyTable.FlagsHsm

- Enclosing class:
    BarcodeScannerSymbologyTable

      public final class BarcodeScannerSymbologyTable.FlagsHsm
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `HSM_128_APPEND`
    `static int` | `HSM_2_DIGIT_ADDENDA`
    `static int` | `HSM_5_DIGIT_ADDENDA`
    `static int` | `HSM_ADDENDA_REQUIRED`
    `static int` | `HSM_ADDENDA_SEPARATOR`
    `static int` | `HSM_AUSTRALIAN_BAR_WIDTH`
    `static int` | `HSM_CHECK_ENABLE`
    `static int` | `HSM_CHECK_TRANSMIT`
    `static int` | `HSM_CODABAR_CONCATENATE`
    `static int` | `HSM_COMPOSITE_UPC`
    `static int` | `HSM_ENABLE_APPEND_MODE`
    `static int` | `HSM_ENABLE_FULLASCII`
    `static int` | `HSM_EXPANDED_UPCE`
    `static int` | `HSM_NUM_SYS_TRANSMIT`
    `static int` | `HSM_POSICODE_LIMITED_1`
    `static int` | `HSM_POSICODE_LIMITED_2`
    `static int` | `HSM_RSE_ENABLE`
    `static int` | `HSM_RSL_ENABLE`
    `static int` | `HSM_RSS_ENABLE`
    `static int` | `HSM_RSX_ENABLE_MASK`
    `static int` | `HSM_START_STOP_XMIT`
    `static int` | `HSM_TELEPEN_OLD_STYLE`
    `static int` | `HSM_UPCE1_ENABLE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FlagsHsm()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### HSM_CHECK_ENABLE

          public static final int HSM_CHECK_ENABLE

      See Also:
        Constant Field Values

    - #### HSM_CHECK_TRANSMIT

          public static final int HSM_CHECK_TRANSMIT

      See Also:
        Constant Field Values

    - #### HSM_START_STOP_XMIT

          public static final int HSM_START_STOP_XMIT

      See Also:
        Constant Field Values

    - #### HSM_ENABLE_APPEND_MODE

          public static final int HSM_ENABLE_APPEND_MODE

      See Also:
        Constant Field Values

    - #### HSM_ENABLE_FULLASCII

          public static final int HSM_ENABLE_FULLASCII

      See Also:
        Constant Field Values

    - #### HSM_NUM_SYS_TRANSMIT

          public static final int HSM_NUM_SYS_TRANSMIT

      See Also:
        Constant Field Values

    - #### HSM_2_DIGIT_ADDENDA

          public static final int HSM_2_DIGIT_ADDENDA

      See Also:
        Constant Field Values

    - #### HSM_5_DIGIT_ADDENDA

          public static final int HSM_5_DIGIT_ADDENDA

      See Also:
        Constant Field Values

    - #### HSM_ADDENDA_REQUIRED

          public static final int HSM_ADDENDA_REQUIRED

      See Also:
        Constant Field Values

    - #### HSM_ADDENDA_SEPARATOR

          public static final int HSM_ADDENDA_SEPARATOR

      See Also:
        Constant Field Values

    - #### HSM_EXPANDED_UPCE

          public static final int HSM_EXPANDED_UPCE

      See Also:
        Constant Field Values

    - #### HSM_UPCE1_ENABLE

          public static final int HSM_UPCE1_ENABLE

      See Also:
        Constant Field Values

    - #### HSM_COMPOSITE_UPC

          public static final int HSM_COMPOSITE_UPC

      See Also:
        Constant Field Values

    - #### HSM_AUSTRALIAN_BAR_WIDTH

          public static final int HSM_AUSTRALIAN_BAR_WIDTH

      See Also:
        Constant Field Values

    - #### HSM_128_APPEND

          public static final int HSM_128_APPEND

      See Also:
        Constant Field Values

    - #### HSM_RSE_ENABLE

          public static final int HSM_RSE_ENABLE

      See Also:
        Constant Field Values

    - #### HSM_RSL_ENABLE

          public static final int HSM_RSL_ENABLE

      See Also:
        Constant Field Values

    - #### HSM_RSS_ENABLE

          public static final int HSM_RSS_ENABLE

      See Also:
        Constant Field Values

    - #### HSM_RSX_ENABLE_MASK

          public static final int HSM_RSX_ENABLE_MASK

      See Also:
        Constant Field Values

    - #### HSM_TELEPEN_OLD_STYLE

          public static final int HSM_TELEPEN_OLD_STYLE

      See Also:
        Constant Field Values

    - #### HSM_POSICODE_LIMITED_1

          public static final int HSM_POSICODE_LIMITED_1

      See Also:
        Constant Field Values

    - #### HSM_POSICODE_LIMITED_2

          public static final int HSM_POSICODE_LIMITED_2

      See Also:
        Constant Field Values

    - #### HSM_CODABAR_CONCATENATE

          public static final int HSM_CODABAR_CONCATENATE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### FlagsHsm

          public FlagsHsm()